Package org.kapott.hbci.manager

# Class HBCIKeyUtil

java.lang.Object
org.kapott.hbci.manager.HBCIKeyUtil

public class HBCIKeyUtil extends Object
Hilfsklasse mit verschiedenen statischen Methoden fuer den Zugriff auf HBCI-Schluessel.

## Constructor Summary

Constructors
Constructor
Description
`HBCIKeyUtil()`

## Method Summary

Modifier and Type
Method
Description
`static String`
`getNum(HBCIKey key)`
Liefert die Schluesselnummer aus dem Schluessel.
`static String`
`getUserId(HBCIKey key)`
Liefert die User-ID aus dem Schluessel.
`static String`
`getVersion(HBCIKey key)`
Liefert die Version des Schluessels.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### HBCIKeyUtil

public HBCIKeyUtil()

## Method Details

### getUserId

public static String getUserId(HBCIKey key)
Liefert die User-ID aus dem Schluessel.

Parameters:
  `key` - der Schluessel.
Returns:
  die User-ID oder NULL, wenn sie nicht existiert.

### getNum

public static String getNum(HBCIKey key)
Liefert die Schluesselnummer aus dem Schluessel.

Parameters:
  `key` - der Schluessel.
Returns:
  die Schluesselnummer oder NULL, wenn sie nicht existiert.

### getVersion

public static String getVersion(HBCIKey key)
Liefert die Version des Schluessels.

Parameters:
  `key` - der Schluessel.
Returns:
  die Version des Schluessels oder NULL, wenn sie nicht existiert.